
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops validate cluster

Validate a kOps cluster.

### Synopsis

This commands validates the following components:

  1.  All control plane nodes are running and have "Ready" status.
  2.  All worker nodes are running and have "Ready" status.
  3.  All control plane nodes have the expected pods.
  4.  All pods with a critical priority are running and have "Ready" status.

```
kops validate cluster [flags]
```

### Examples

```
  # Validate the cluster set as the current context of the kube config.
  # Kops will try for 10 minutes to validate the cluster 3 times.
  kops validate cluster --wait 10m --count 3
```

### Options

```
      --count int           If set, will validate the cluster consecutive times
  -h, --help                help for cluster
      --kubeconfig string   Path to the kubeconfig file
  -o, --output string       Output format. One of json|yaml|table. (default "table")
      --wait duration       If set, will wait for cluster to be ready
```

### Options inherited from parent commands

```
      --add_dir_header                   If true, adds the file directory to the header of the log messages
      --alsologtostderr                  log to standard error as well as files
      --config string                    yaml config file (default is $HOME/.kops.yaml)
      --log_backtrace_at traceLocation   when logging hits line file:N, emit a stack trace (default :0)
      --log_dir string                   If non-empty, write log files in this directory
      --log_file string                  If non-empty, use this log file
      --log_file_max_size uint           Defines the maximum size a log file can grow to. Unit is megabytes. If the value is 0, the maximum file size is unlimited. (default 1800)
      --logtostderr                      log to standard error instead of files (default true)
      --name string                      Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
      --one_output                       If true, only write logs to their native severity level (vs also writing to each lower severity level)
      --skip_headers                     If true, avoid header prefixes in the log messages
      --skip_log_headers                 If true, avoid headers when opening log files
      --state string                     Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
      --stderrthreshold severity         logs at or above this threshold go to stderr (default 2)
  -v, --v Level                          number for the log level verbosity
      --vmodule moduleSpec               comma-separated list of pattern=N settings for file-filtered logging
```

### SEE ALSO

* [kops validate](kops_validate.md)	 - Validate a kOps cluster.

